package de.erethon.papyrus;

import net.minecraft.core.BlockPos;
import net.minecraft.server.level.ServerLevel;
import net.minecraft.world.entity.Mob;
import net.minecraft.world.entity.SpawnGroupData;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.level.biome.MobSpawnSettings;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;
import org.jetbrains.annotations.NotNull;

public class MobSpawnEntityCreateEvent extends Event {

    private static final HandlerList handlers = new HandlerList();

    public Mob mob;
    public ServerLevel level;
    public MobSpawnSettings.SpawnerData spawnerData;
    public BlockPos.MutableBlockPos pos;
    public Player player;
    public SpawnGroupData groupData;

    public MobSpawnEntityCreateEvent(Mob mob, ServerLevel level, MobSpawnSettings.SpawnerData spawnerData, BlockPos.MutableBlockPos pos, Player nearest, SpawnGroupData groupData) {
        this.mob = mob;
        this.level = level;
        this.spawnerData = spawnerData;
        this.pos = pos;
        this.player = player;
        this.groupData = groupData;
    }

    @NotNull
    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList getHandlerList() {
        return handlers;
    }
}
